/*
 * _Beep_BRRR_01.h
 *
 *  Created on: 3. apr. 2021
 *      Author: teig
 */


#ifndef BEEP_BRRR_01_H_
    #define BEEP_BRRR_01_H_

    typedef enum beep_brrr_state_e {
        state_center_mic, // default
        state_directive_mics_iff
    } beep_br_state_e;

    typedef struct {
        beep_br_state_e  state;
        directive_mics_t directive_mics_t;
    } beep_br_state_t;

    // [[combinable]]
    void Handle_Beep_BRRRR_task_b (
            server button_if_1              if_button [BUTTONS_NUM_CLIENTS],
            out port                        leds_00_07,
            client softblinker_if           if_softblinker,
            client i2c_internal_commands_if if_i2c_internal_commands,
            client i2c_general_commands_if  if_i2c_general_commands,
            out port                        p_display_notReset,
            chanend                         ch_ab_bidir); // ch_ab_bidir_t
#else
    #error NESTED .h FILE
#endif /* BEEP_BRRR_01_H_ */
